﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ImportImagesCS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            FarPoint.Win.Spread.CellType.ImageCellType ict = new FarPoint.Win.Spread.CellType.ImageCellType();
            ict.Style = FarPoint.Win.RenderStyle.Stretch;
            FpSpread1.ActiveSheet.RowCount = 5;
            FpSpread1.ActiveSheet.ColumnCount = 3;
            FpSpread1.ActiveSheet.Cells[0, 0].CellType = ict;
            FpSpread1.ActiveSheet.Cells[0, 0].Value = Image.FromFile("..\\\\..\\\\Koala.jpg");
            FpSpread1.ActiveSheet.Cells[1, 0].CellType = ict;
            FpSpread1.ActiveSheet.Cells[1, 0].Value = Image.FromFile("..\\\\..\\\\Tulips.jpg");
            FpSpread1.ActiveSheet.Cells[2, 0].CellType = ict;
            FpSpread1.ActiveSheet.Cells[2, 0].Value = Image.FromFile("..\\\\..\\\\Penguins.jpg");
        }

        private void Button1_Click(object sender, EventArgs e)
        {
             FpSpread1.SaveExcel(@"..\..\ImageExcel.xls");
             MessageBox.Show("Spread exported to Excel");
        }

        private void Button2_Click(object sender, EventArgs e)
        {
             FpSpread1.OpenExcel(@"..\..\ImageExcel.xls");
             MessageBox.Show("Spread imported from Excel");
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            int i = 0;
            foreach (FarPoint.Win.Spread.DrawingSpace.PSObject ps in FpSpread1.Sheets[0].DrawingContainer.ContainedObjects) 
            {
                if (ps.BackgroundImage.Image != null) 
                 {
		           FarPoint.Win.Spread.CellType.ImageCellType imgct = new FarPoint.Win.Spread.CellType.ImageCellType();
		           imgct.Style = FarPoint.Win.RenderStyle.Stretch;
		           FpSpread1.ActiveSheet.Cells[i, 0].CellType = imgct;
		           FpSpread1.ActiveSheet.Cells[i, 0].Value = ps.BackgroundImage.Image;
		           i = i + 1;
	             }
             }
            FpSpread1.ActiveSheet.ClearShapes();
        }
    }
}
